InterruptedIOException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class InterruptedIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.InterruptedIOException

    @TransactionType(value=NOT_SUPPORTED)
    public class InterruptedIOException

extends IOException

Signals that an I/O operation has been interrupted. An `InterruptedIOException` is thrown to indicate that an input or output transfer has been terminated because the thread performing it was terminated. The field `bytesTransferred` indicates how many bytes were successfully transferred before the interruption occurred.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0
See Also:
  `InputStream`, `OutputStream`

Field Summary
`int` | `bytesTransferred` Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Summary
`InterruptedIOException()` Constructs an `InterruptedIOException` with `null` as its error detail message.
`InterruptedIOException(String s)` Constructs an `InterruptedIOException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bytesTransferred

    public int bytesTransferred

  Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Detail

### InterruptedIOException

    public InterruptedIOException()

  Constructs an `InterruptedIOException` with `null` as its error detail message.

### InterruptedIOException

    public InterruptedIOException(String s)

  Constructs an `InterruptedIOException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.